<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HeadersFootersAtom (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HeadersFootersAtom (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HeadersFootersAtom.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/FontEntityAtom.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/HeadersFootersAtom.html"
               target="_top">Frames</a></li>
        <li><a href="HeadersFootersAtom.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.record</div>
    <h2 title="Class HeadersFootersAtom" class="title">Class HeadersFootersAtom</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                       title="class in org.apache.poi.hslf.record">org.apache.poi.hslf.record.Record</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hslf/record/RecordAtom.html"
                               title="class in org.apache.poi.hslf.record">org.apache.poi.hslf.record.RecordAtom</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hslf.record.HeadersFootersAtom</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HeadersFootersAtom</span>
extends <a href="../../../../../org/apache/poi/hslf/record/RecordAtom.html" title="class in org.apache.poi.hslf.record">RecordAtom</a></pre>
                <div class="block">An atom record that specifies options for displaying headers and footers
                    on a presentation slide or notes slide.
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Yegor Kozlov</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#fHasDate">fHasDate</a></span></code>
                                    <div class="block">A bit that specifies whether the date is displayed in the
                                        footer.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#fHasFooter">fHasFooter</a></span></code>
                                    <div class="block">bit that specifies whether the footer text is displayed.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#fHasHeader">fHasHeader</a></span></code>
                                    <div class="block">bit that specifies whether the header text is displayed.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#fHasSlideNumber">fHasSlideNumber</a></span></code>
                                    <div class="block">A bit that specifies whether the slide number is displayed in the
                                        footer.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#fHasTodayDate">fHasTodayDate</a></span></code>
                                    <div class="block">A bit that specifies whether the current datetime is used for
                                        displaying the datetime.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#fHasUserDate">fHasUserDate</a></span></code>
                                    <div class="block">A bit that specifies whether the date specified in UserDateAtom
                                        record
                                        is used for displaying the datetime.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hslf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a></h3>
                                <code><a href="../../../../../org/apache/poi/hslf/record/Record.html#logger">logger</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#HeadersFootersAtom--">HeadersFootersAtom</a></span>()</code>
                                    <div class="block">Create a new instance of <code>HeadersFootersAtom</code></div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#HeadersFootersAtom-byte:A-int-int-">HeadersFootersAtom</a></span>(byte[]&nbsp;source,
                                    int&nbsp;start,
                                    int&nbsp;len)</code>
                                    <div class="block">Build an instance of <code>HeadersFootersAtom</code> from on-disk
                                        data
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#getFlag-int-">getFlag</a></span>(int&nbsp;bit)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#getFormatId--">getFormatId</a></span>()</code>
                                    <div class="block">A signed integer that specifies the format ID to be used to style
                                        the datetime.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#getMask--">getMask</a></span>()</code>
                                    <div class="block">A bit mask specifying options for displaying headers and footers

                                        A -
                                        <a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#fHasDate"><code>fHasDate</code></a>
                                        (1 bit): A bit that specifies whether the date is displayed in the footer.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#getRecordType--">getRecordType</a></span>()</code>
                                    <div class="block">Returns the type (held as a little endian in bytes 3 and 4)
                                        that this class handles
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#setFlag-int-boolean-">setFlag</a></span>(int&nbsp;bit,
                                    boolean&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#setFormatId-int-">setFormatId</a></span>(int&nbsp;formatId)</code>
                                    <div class="block">A signed integer that specifies the format ID to be used to style
                                        the datetime.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#setMask-int-">setMask</a></span>(int&nbsp;mask)</code>
                                    <div class="block">A bit mask specifying options for displaying headers and
                                        footers
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#writeOut-java.io.OutputStream-">writeOut</a></span>(java.io.OutputStream&nbsp;out)</code>
                                    <div class="block">Write the contents of the record back, so it can be written to
                                        disk
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.record.RecordAtom">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/RecordAtom.html"
                                        title="class in org.apache.poi.hslf.record">RecordAtom</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/record/RecordAtom.html#getChildRecords--">getChildRecords</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordAtom.html#isAnAtom--">isAnAtom</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html#buildRecordAtOffset-byte:A-int-">buildRecordAtOffset</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#createRecordForType-long-byte:A-int-int-">createRecordForType</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#findChildRecords-byte:A-int-int-">findChildRecords</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#writeLittleEndian-int-java.io.OutputStream-">writeLittleEndian</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#writeLittleEndian-short-java.io.OutputStream-">writeLittleEndian</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="fHasDate">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fHasDate</h4>
                                <pre>public static final&nbsp;int fHasDate</pre>
                                <div class="block">A bit that specifies whether the date is displayed in the footer.
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#getMask--"><code>getMask()</code></a>,
                                        <a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#setMask-int-"><code>setMask(int)</code></a>,
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.HeadersFootersAtom.fHasDate">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="fHasTodayDate">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fHasTodayDate</h4>
                                <pre>public static final&nbsp;int fHasTodayDate</pre>
                                <div class="block">A bit that specifies whether the current datetime is used for
                                    displaying the datetime.
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#getMask--"><code>getMask()</code></a>,
                                        <a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#setMask-int-"><code>setMask(int)</code></a>,
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.HeadersFootersAtom.fHasTodayDate">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="fHasUserDate">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fHasUserDate</h4>
                                <pre>public static final&nbsp;int fHasUserDate</pre>
                                <div class="block">A bit that specifies whether the date specified in UserDateAtom
                                    record
                                    is used for displaying the datetime.
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#getMask--"><code>getMask()</code></a>,
                                        <a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#setMask-int-"><code>setMask(int)</code></a>,
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.HeadersFootersAtom.fHasUserDate">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="fHasSlideNumber">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fHasSlideNumber</h4>
                                <pre>public static final&nbsp;int fHasSlideNumber</pre>
                                <div class="block">A bit that specifies whether the slide number is displayed in the
                                    footer.
                                </div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#getMask--"><code>getMask()</code></a>,
                                        <a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#setMask-int-"><code>setMask(int)</code></a>,
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.HeadersFootersAtom.fHasSlideNumber">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="fHasHeader">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fHasHeader</h4>
                                <pre>public static final&nbsp;int fHasHeader</pre>
                                <div class="block">bit that specifies whether the header text is displayed.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#getMask--"><code>getMask()</code></a>,
                                        <a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#setMask-int-"><code>setMask(int)</code></a>,
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.HeadersFootersAtom.fHasHeader">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="fHasFooter">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>fHasFooter</h4>
                                <pre>public static final&nbsp;int fHasFooter</pre>
                                <div class="block">bit that specifies whether the footer text is displayed.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#getMask--"><code>getMask()</code></a>,
                                        <a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#setMask-int-"><code>setMask(int)</code></a>,
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.record.HeadersFootersAtom.fHasFooter">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HeadersFootersAtom-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HeadersFootersAtom</h4>
                                <pre>protected&nbsp;HeadersFootersAtom(byte[]&nbsp;source,
                             int&nbsp;start,
                             int&nbsp;len)</pre>
                                <div class="block">Build an instance of <code>HeadersFootersAtom</code> from on-disk
                                    data
                                </div>
                            </li>
                        </ul>
                        <a name="HeadersFootersAtom--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HeadersFootersAtom</h4>
                                <pre>public&nbsp;HeadersFootersAtom()</pre>
                                <div class="block">Create a new instance of <code>HeadersFootersAtom</code></div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getRecordType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecordType</h4>
                                <pre>public&nbsp;long&nbsp;getRecordType()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html#getRecordType--">Record</a></code></span>
                                </div>
                                <div class="block">Returns the type (held as a little endian in bytes 3 and 4)
                                    that this class handles
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/record/Record.html#getRecordType--">getRecordType</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                            title="class in org.apache.poi.hslf.record">Record</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeOut-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeOut</h4>
                                <pre>public&nbsp;void&nbsp;writeOut(java.io.OutputStream&nbsp;out)
              throws java.io.IOException</pre>
                                <div class="block">Write the contents of the record back, so it can be written to disk
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/record/Record.html#writeOut-java.io.OutputStream-">writeOut</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                            title="class in org.apache.poi.hslf.record">Record</a></code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormatId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormatId</h4>
                                <pre>public&nbsp;int&nbsp;getFormatId()</pre>
                                <div class="block">A signed integer that specifies the format ID to be used to style the
                                    datetime.
                                    <p>
                                        It MUST be in the range [0, 12]. </br>
                                        This value is converted into a string as specified by the index field of the
                                        DateTimeMCAtom record.
                                        It MUST be ignored unless fHasTodayDate is TRUE.
                                        </b></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A signed integer that specifies the format ID to be used to style the
                                        datetime.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFormatId-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFormatId</h4>
                                <pre>public&nbsp;void&nbsp;setFormatId(int&nbsp;formatId)</pre>
                                <div class="block">A signed integer that specifies the format ID to be used to style the
                                    datetime.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formatId</code> - A signed integer that specifies the format ID to be used
                                        to style the datetime.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMask--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMask</h4>
                                <pre>public&nbsp;int&nbsp;getMask()</pre>
                                <div class="block">A bit mask specifying options for displaying headers and footers

                            <li> A - <a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#fHasDate"><code>fHasDate</code></a>
                                (1 bit): A bit that specifies whether the date is displayed in the footer.
                            <li> B - <a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#fHasTodayDate"><code>fHasTodayDate</code></a>
                                (1 bit): A bit that specifies whether the current datetime is used for
                                displaying the datetime.
                            <li> C - <a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#fHasUserDate"><code>fHasUserDate</code></a>
                                (1 bit): A bit that specifies whether the date specified in UserDateAtom record
                                is used for displaying the datetime.
                            <li> D - <a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#fHasSlideNumber"><code>fHasSlideNumber</code></a>
                                (1 bit): A bit that specifies whether the slide number is displayed in the footer.
                            <li> E - <a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#fHasHeader"><code>fHasHeader</code></a>
                                (1 bit): A bit that specifies whether the header text specified by HeaderAtom
                                record is displayed.
                            <li> F - <a
                                    href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html#fHasFooter"><code>fHasFooter</code></a>
                                (1 bit): A bit that specifies whether the footer text specified by FooterAtom
                                record is displayed.
                            <li> reserved (10 bits): MUST be zero and MUST be ignored.
    </div>
    <dl>
        <dt><span class="returnLabel">Returns:</span></dt>
        <dd>A bit mask specifying options for displaying headers and footers</dd>
    </dl>
    </li>
    </ul>
    <a name="setMask-int-">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>setMask</h4>
            <pre>public&nbsp;void&nbsp;setMask(int&nbsp;mask)</pre>
            <div class="block">A bit mask specifying options for displaying headers and footers</div>
            <dl>
                <dt><span class="paramLabel">Parameters:</span></dt>
                <dd><code>mask</code> - A bit mask specifying options for displaying headers and footers</dd>
            </dl>
        </li>
    </ul>
    <a name="getFlag-int-">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>getFlag</h4>
            <pre>public&nbsp;boolean&nbsp;getFlag(int&nbsp;bit)</pre>
            <dl>
                <dt><span class="paramLabel">Parameters:</span></dt>
                <dd><code>bit</code> - the bit to check</dd>
                <dt><span class="returnLabel">Returns:</span></dt>
                <dd>whether the specified flag is set</dd>
            </dl>
        </li>
    </ul>
    <a name="setFlag-int-boolean-">
        <!--   -->
    </a>
    <ul class="blockList">
        <li class="blockList">
            <h4>setFlag</h4>
            <pre>public&nbsp;void&nbsp;setFlag(int&nbsp;bit,
                    boolean&nbsp;value)</pre>
            <dl>
                <dt><span class="paramLabel">Parameters:</span></dt>
                <dd><code>bit</code> - the bit to set</dd>
                <dd><code>value</code> - whether the specified bit is set</dd>
            </dl>
        </li>
    </ul>
    <a name="toString--">
        <!--   -->
    </a>
    <ul class="blockListLast">
        <li class="blockList">
            <h4>toString</h4>
            <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
            <dl>
                <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
            </dl>
        </li>
    </ul>
    </li>
    </ul>
    </li>
    </ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HeadersFootersAtom.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/FontEntityAtom.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/HeadersFootersAtom.html"
               target="_top">Frames</a></li>
        <li><a href="HeadersFootersAtom.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
